Package org.h2.value

# Class ExtTypeInfoRow

java.lang.Object
org.h2.value.ExtTypeInfo
org.h2.value.ExtTypeInfoRow

All Implemented Interfaces:
  `HasSQL`

public final class ExtTypeInfoRow extends ExtTypeInfo
Extended parameters of the ROW data type.

## Field Summary

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

## Constructor Summary

Constructors
Constructor
Description
`ExtTypeInfoRow(LinkedHashMap<String,TypeInfo> fields)`
Creates new instance of extended parameters of ROW data type.
`ExtTypeInfoRow(Typed[] fields)`
Creates new instance of extended parameters of ROW data type.
`ExtTypeInfoRow(Typed[] fields, int degree)`
Creates new instance of extended parameters of ROW data type.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Set<Map.Entry<String,TypeInfo>>`
`getFields()`
Returns fields.
`StringBuilder`
`getSQL(StringBuilder builder, int sqlFlags)`
Appends the SQL statement of this object to the specified builder.
`int`
`hashCode()`

### Methods inherited from class org.h2.value.ExtTypeInfo

`toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getSQL, getTraceSQL`

## Constructor Details

### ExtTypeInfoRow

public ExtTypeInfoRow(Typed[] fields)
Creates new instance of extended parameters of ROW data type.

Parameters:
  `fields` - fields

### ExtTypeInfoRow

public ExtTypeInfoRow(Typed[] fields, int degree)
Creates new instance of extended parameters of ROW data type.

Parameters:
  `fields` - fields
  `degree` - number of fields to use

### ExtTypeInfoRow

public ExtTypeInfoRow(LinkedHashMap<String,TypeInfo> fields)
Creates new instance of extended parameters of ROW data type.

Parameters:
  `fields` - fields

## Method Details

### getFields

public Set<Map.Entry<String,TypeInfo>> getFields()
Returns fields.

Returns:
  fields

### getSQL

public StringBuilder getSQL(StringBuilder builder, int sqlFlags)
Description copied from interface: `HasSQL`
Appends the SQL statement of this object to the specified builder.

Parameters:
  `builder` - string builder
  `sqlFlags` - formatting flags
Returns:
  the specified string builder

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`